AmericanExpress-PlugIn ver. 2.1.3

veröffentlicht um 05.06.2014, 03:22 von Sebastian Richter
Liebe Hibiscus-Scripting User,

diese Version ist nur aufgrund interner technischer Änderungen entstanden und hat somit keine größeren Neuerungen oder Anpassungen zu folge.

Welche Änderungen und Erweiterungen sich genau ergeben haben, lest ihr wie gewohnt hier weiter unten nach
oder als vollständige ChangeLog in der jeweiligen Version unter Projekt Dateien.


Diese neue Version kann wie immer am besten mit der Installations-Methode #1 (über das Online-Repository) übernommen werden
oder für den manuellen Download und Installation hier auf der Projektseite bezogen werden.


Neuerungen und/oder Änderungen sollten hier vollständig gelesen werden und sind wie folgt:

ver. 2.1.3 (chronologisch von unten nach oben)
  • BUG [140516]: Es wird nun auch wieder im Log-Modus "Info" und "Warn" die Fehlermeldung ins Systemprotokoll (jameica.log) geschrieben wie Sie erzeugt wurde
  • BUG [140506]: Fehlendes Deklarieren der Datenbankverbindung vor dem Setzen von Systemnachrichten eingefügt
  • BUG [140407]: Der Kontoanlage-Assistent unterstützt nun auch das Anlegen eines Kontos unter einer Java 8 Umgebung
  • BUG [140403]: Anpassung des Setzen des Java-Systemproxy für Java 8
  • BUG [140402]: Bei der Javacodepage-Prüfung wird nun kompatibel zu den neuen JavaScript-Strings nach Übereinstimmungen gesucht
  • BUG [140331]: In der Java- und HTMLUnit-Versionsprüfung werden nun alle Zeichenketten als JavaScript-Strings erstellt; Funktionalität unter allen Java- bzw. JavaScript-Umgebungen
  • CHG [140325]: Konvertieren aller Date.Funktionen in ein Java-Datum immer über reine Integer-Werte; höchste Kompatibilität unter den verschiedensten Systemen und Installationen
  • NEW [140325]: Unterstützung von Java 8 aka 1.8; Laden der "nashorn:mozilla_compat.js" für die Funktion von "importPackage" und Angabe des statischen Klassenpfads bei Übergabe als Attribut
  • CHG [140308]: Anpassung an HTMLUnit Version 2.14; Mindestanforderung bleibt bei 2.13
  • CHG [140204]: Erweiterung der Anforderung des Zeichensatz der unter Linux verwendeten Java-Umgebung um "ISO-8859-15"; Nicht alle Distributionen haben auf UTF-8 gewechselt (Java-Versionsprüfung Version 1.2.1)


Gruß
Comments